### YamlMime:ManagedReference
items:
- uid: adas_core.Domain
  commentId: N:adas_core.Domain
  id: adas_core.Domain
  children:
  - adas_core.Domain.IDefaultRepository`2
  - adas_core.Domain.Permissions
  - adas_core.Domain.QueryCustomizer`1
  - adas_core.Domain.SourcePermissions
  langs:
  - csharp
  - vb
  name: adas_core.Domain
  nameWithType: adas_core.Domain
  fullName: adas_core.Domain
  type: Namespace
  assemblies:
  - adas-core.Domain
references:
- uid: adas_core.Domain.IDefaultRepository`2
  commentId: T:adas_core.Domain.IDefaultRepository`2
  href: adas_core.Domain.IDefaultRepository-2.html
  name: IDefaultRepository<T, TS>
  nameWithType: IDefaultRepository<T, TS>
  fullName: adas_core.Domain.IDefaultRepository<T, TS>
  nameWithType.vb: IDefaultRepository(Of T, TS)
  fullName.vb: adas_core.Domain.IDefaultRepository(Of T, TS)
  name.vb: IDefaultRepository(Of T, TS)
  spec.csharp:
  - uid: adas_core.Domain.IDefaultRepository`2
    name: IDefaultRepository
    href: adas_core.Domain.IDefaultRepository-2.html
  - name: <
  - name: T
  - name: ','
  - name: " "
  - name: TS
  - name: '>'
  spec.vb:
  - uid: adas_core.Domain.IDefaultRepository`2
    name: IDefaultRepository
    href: adas_core.Domain.IDefaultRepository-2.html
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: ','
  - name: " "
  - name: TS
  - name: )
- uid: adas_core.Domain.Permissions
  commentId: T:adas_core.Domain.Permissions
  href: adas_core.Domain.Permissions.html
  name: Permissions
  nameWithType: Permissions
  fullName: adas_core.Domain.Permissions
- uid: adas_core.Domain.SourcePermissions
  commentId: T:adas_core.Domain.SourcePermissions
  parent: adas_core.Domain
  href: adas_core.Domain.SourcePermissions.html
  name: SourcePermissions
  nameWithType: SourcePermissions
  fullName: adas_core.Domain.SourcePermissions
- uid: adas_core.Domain.QueryCustomizer`1
  commentId: T:adas_core.Domain.QueryCustomizer`1
  parent: adas_core.Domain
  href: adas_core.Domain.QueryCustomizer-1.html
  name: QueryCustomizer<T>
  nameWithType: QueryCustomizer<T>
  fullName: adas_core.Domain.QueryCustomizer<T>
  nameWithType.vb: QueryCustomizer(Of T)
  fullName.vb: adas_core.Domain.QueryCustomizer(Of T)
  name.vb: QueryCustomizer(Of T)
  spec.csharp:
  - uid: adas_core.Domain.QueryCustomizer`1
    name: QueryCustomizer
    href: adas_core.Domain.QueryCustomizer-1.html
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: adas_core.Domain.QueryCustomizer`1
    name: QueryCustomizer
    href: adas_core.Domain.QueryCustomizer-1.html
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Domain
  commentId: N:adas_core.Domain
  href: adas_core.html
  name: adas_core.Domain
  nameWithType: adas_core.Domain
  fullName: adas_core.Domain
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
